security/ssh-askpass - The NetBSD Packages Collection

X11-based passphrase dialog for OpenSSH

x11-ssh-askpass is a lightweight passphrase dialog for OpenSSH or other
open variants of SSH. In particular, x11-ssh-askpass is useful with the
Unix port of OpenSSH by Damien Miller, and Damien includes it in his RPM
packages of OpenSSH.

x11-ssh-askpass uses only the stock X11 libraries (libX11, libXt) for its
user interface. This reduces its dependencies on external libraries (such
as GNOME or Perl/Tk). See the README for further information.

Build dependencies

pkgtools/x11-links pkgtools/cwrappers devel/imake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfssh-askpass-1.0nb1.tgz
NetBSD 8.0earmv7hfssh-askpass-1.0nb1.tgz
NetBSD 8.0earmv7hfssh-askpass-1.0nb1.tgz
NetBSD 8.0i386ssh-askpass-1.0nb1.tgz
NetBSD 8.0i386ssh-askpass-1.0nb1.tgz
NetBSD 8.0powerpcssh-askpass-1.0nb1.tgz
NetBSD 8.0powerpcssh-askpass-1.0nb1.tgz
NetBSD 8.0powerpcssh-askpass-1.0nb1.tgz
NetBSD 8.0powerpcssh-askpass-1.0nb1.tgz
NetBSD 8.0x86_64ssh-askpass-1.0nb1.tgz
NetBSD 8.0x86_64ssh-askpass-1.0nb1.tgz
NetBSD 9.0aarch64ssh-askpass-1.0nb1.tgz
NetBSD 9.0aarch64ssh-askpass-1.0nb1.tgz
NetBSD 9.0aarch64ssh-askpass-1.0nb1.tgz
NetBSD 9.0alphassh-askpass-1.0nb1.tgz
NetBSD 9.0alphassh-askpass-1.0nb1.tgz
NetBSD 9.0alphassh-askpass-1.0nb1.tgz
NetBSD 9.0earmv6hfssh-askpass-1.0nb1.tgz
NetBSD 9.0earmv6hfssh-askpass-1.0nb1.tgz
NetBSD 9.0earmv6hfssh-askpass-1.0nb1.tgz
NetBSD 9.0earmv7hfssh-askpass-1.0nb1.tgz
NetBSD 9.0earmv7hfssh-askpass-1.0nb1.tgz
NetBSD 9.0earmv7hfssh-askpass-1.0nb1.tgz
NetBSD 9.0earmv7hfssh-askpass-1.0nb1.tgz
NetBSD 9.0i386ssh-askpass-1.0nb1.tgz
NetBSD 9.0i386ssh-askpass-1.0nb1.tgz
NetBSD 9.0i386ssh-askpass-1.0nb1.tgz
NetBSD 9.0mips64ebssh-askpass-1.0nb1.tgz
NetBSD 9.0mips64ebssh-askpass-1.0nb1.tgz
NetBSD 9.0mips64ebssh-askpass-1.0nb1.tgz
NetBSD 9.0mips64ebssh-askpass-1.0nb1.tgz
NetBSD 9.0mips64ebssh-askpass-1.0nb1.tgz
NetBSD 9.0powerpcssh-askpass-1.0nb1.tgz
NetBSD 9.0powerpcssh-askpass-1.0nb1.tgz
NetBSD 9.0powerpcssh-askpass-1.0nb1.tgz
NetBSD 9.0powerpcssh-askpass-1.0nb1.tgz
NetBSD 9.0sparc64ssh-askpass-1.0nb1.tgz
NetBSD 9.0sparc64ssh-askpass-1.0nb1.tgz
NetBSD 9.0sparc64ssh-askpass-1.0nb1.tgz
NetBSD 9.0sparcssh-askpass-1.0nb1.tgz
NetBSD 9.0sparcssh-askpass-1.0nb1.tgz
NetBSD 9.0sparcssh-askpass-1.0nb1.tgz
NetBSD 9.0sparcssh-askpass-1.0nb1.tgz
NetBSD 9.0x86_64ssh-askpass-1.0nb1.tgz
NetBSD 9.0x86_64ssh-askpass-1.0nb1.tgz
NetBSD 9.0x86_64ssh-askpass-1.0nb1.tgz
NetBSD 9.0x86_64ssh-askpass-1.0nb1.tgz
NetBSD 9.0x86_64ssh-askpass-1.0nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.